import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, NgZone, OnDestroy, QueryList } from "@angular/core";
import { TabHeadingComponent } from "../tab-heading/tab-heading.component";
import * as i0 from "@angular/core";
export declare class TabHeadingGroupComponent implements OnDestroy, AfterViewInit {
    private el;
    private changeDetectorRef;
    private ngZone;
    _tabs: QueryList<TabHeadingComponent>;
    resizableArea: ElementRef;
    /** If true tabs will be placed vertically */
    vertical: boolean;
    /**
     * Emits id of selected tab
     */
    selected: EventEmitter<string>;
    get isVertical(): boolean;
    leftTraverseEnabled: boolean;
    rightTraverseEnabled: boolean;
    hasTraverse: boolean;
    private _traverseButtonsWidth;
    private _traverseStepSize;
    private _ro;
    private _tabSelectedSubscriptions;
    private _changesSubscription;
    constructor(el: ElementRef, changeDetectorRef: ChangeDetectorRef, ngZone: NgZone);
    ngAfterViewInit(): void;
    setActiveTab(): void;
    getActiveTab(): TabHeadingComponent;
    checkTraverse(): void;
    allowTraverse(): boolean;
    traverseRight(): void;
    traverseLeft(): void;
    private subscribeToSelection;
    private isTraverseLeftAllowed;
    private isTraverseRightAllowed;
    private getElementSize;
    private getNumberFromPixels;
    private getCurrentShift;
    private setNewShift;
    private addPixels;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabHeadingGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabHeadingGroupComponent, "nui-tab-heading-group", never, { "vertical": { "alias": "vertical"; "required": false; }; }, { "selected": "selected"; }, ["_tabs"], ["*"], false, never>;
}
